Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.generators.base.Repeater

class `mvpa2.generators.base.``Repeater`(count, space='repetitons', **kwargs)

  Node that yields the same dataset for a certain number of repetitions.

  Each yielded dataset has a dataset attribute that identifies the iteration (see the `space` setting).

  Notes

  Available conditional attributes:

  - `calling_time+`: Time (in seconds) it took to call the node
  - `raw_results`: Computed results before invoking postproc. Stored only if postproc is not None.

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `generate`(ds) | Generate the desired number of repetitions.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.

  Parameters:

  count : int

  > Positive integer that set the numbed of repetitions.

  space : str

  > The name of the dataset attribute that will hold the actual repetiton in the yielded datasets.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  postproc : Node instance, optional

  > Node to perform post-processing of results. This node is applied in `__call__()` to perform a final processing step on the to be result dataset. If None, nothing is done.

  descr : str

  > Description of the instance

  Methods

  `generate`(ds) | Generate the desired number of repetitions.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.

  `generate`(ds)

    Generate the desired number of repetitions.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »